class PxImage {
    constructor(w) {
        this.window = w
    }

    init() {
        const doc = this.window.document

        const images = doc.querySelectorAll('.quick-image img, .card figure img')

        for (let i = 0, len = images.length; i < len; i++) {
            (function(image) {
                const source = image.getAttribute('data-src')
                const loader = new Image()

                loader.onload = function() {
                    image.style.backgroundImage = 'url(' + source + ')'
                    image.style.backgroundSize = 'cover'
                    image.style.backgroundPosition = 'center'
                }

                loader.src = source
            })(images[i])
        }
    }
}

module.exports = PxImage
